
def zip_file(file_path, output_path):
    import os
    import zipfile

    def zip_dir(dir_path, zipf):
        for root, dirs, files in os.walk(dir_path):
            for file in files:
                zipf.write(os.path.join(root, file), os.path.relpath(os.path.join(root, file), dir_path))

    with zipfile.ZipFile(output_path, 'w') as zipf:
        zip_dir(file_path, zipf)




